OnlyFans API
FanslyLists

List Items in List

Get the items (users/subscribers) in a list. Despite the native URL name "itemsnew", this returns all items in the list (not just recent ones).

GET
/api/fansly/{fanslyAccount}/lists/{list_id}/items
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

list_id*string

The Fansly list ID.

Query Parameters

limit?string

Number of items to return (1 - 100). Default = 50

sort_mode?string

Native Fansly sort mode code. Default = 3 (most recently added first).

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/lists/853242689510977536/items?limit=50&sort_mode=3"
{
  "data": [
    {
      "id": "600000000000000001",
      "sortId": "200000000000000010",
      "listId": "200000000000000001",
      "type": 1,
      "metadata": ""
    },
    {
      "id": "600000000000000002",
      "sortId": "200000000000000011",
      "listId": "200000000000000001",
      "type": 1,
      "metadata": ""
    }
  ],
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055785,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}